%define module	parsing
%define name	python-%{module}
%define version	1.5.2
%define release	%mkrel 2

Summary:        An object-oriented approach to text processing
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Development/Python
License:        MIT
URL:            http://pyparsing.wikispaces.com/
Source0:        http://prdownloads.sourceforge.net/py%{module}/py%{module}-%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
%py_requires -d

%description
The pyparsing module provides an alternative approach to creating and
executing simple grammars in Python versus the traditional lex/yacc
approach or the use of regular expressions. It provides a library of
classes that client code can use to construct a grammar directly.

%prep
%setup -q -n py%{module}-%{version}

%build
%{__python} setup.py build

install -m 644 pyparsingClassDiagram.PNG pyparsingClassDiagram.png

%install
%__rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root=%{buildroot} --record=FILE_LIST

# fix permissions
chmod 0644 examples/* htmldoc/* 

%clean
%__rm -rf %{buildroot}

%files -f FILE_LIST
%defattr(-,root,root,-)
%doc CHANGES examples HowToUsePyparsing.html htmldoc pyparsingClassDiagram.png README LICENSE


%changelog
* Sun Mar 07 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.5.2-2mdv2010.1
+ Revision: 515347
- fix file permissions (mdv bug#58027)

* Tue Feb 16 2010 Lev Givon <lev@mandriva.org> 1.5.2-1mdv2010.1
+ Revision: 506818
- Update to 1.5.2.

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.4.2-8mdv2010.0
+ Revision: 442327
- rebuild

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 1.4.2-7mdv2009.1
+ Revision: 323912
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 1.4.2-6mdv2009.0
+ Revision: 259739
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 1.4.2-5mdv2009.0
+ Revision: 247579
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.4.2-3mdv2008.1
+ Revision: 136454
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Tue Dec 05 2006 Jérôme Soyer <saispo@mandriva.org> 1.4.2-3mdv2007.0
+ Revision: 91382
- Rebuild with new python

* Tue Dec 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.4.2-2mdv2007.1
+ Revision: 90613
- Fix BuildRequires
- Rebuild against new python
- import python-parsing-1.4.2-1mdv2007.0

* Sun May 28 2006 Jerome Soyer <saispo@mandriva.org> 1.4.2-1mdv2007.0
- Initial Mandriva Release

